# cyclonedx.exception

Exceptions that are specific to the CycloneDX library implementation.

## Submodules

- cyclonedx.exception.factory
- cyclonedx.exception.model
- cyclonedx.exception.output
- cyclonedx.exception.serialization

## Exceptions

`CycloneDxException` | Root exception thrown by this library.
`MissingOptionalDependencyException` | Validation did not happen, due to missing dependencies.

## Package Contents

exception cyclonedx.exception.CycloneDxException

  Bases: `Exception`

  Root exception thrown by this library.

exception cyclonedx.exception.MissingOptionalDependencyException

  Bases: `CycloneDxException`

  Validation did not happen, due to missing dependencies.